%define git 20131006

%global __python /usr/bin/python2
Name:         python-whiteboard
# no version specified, I'm choosing the yearmonthday format
# base version according to debian/changelog 
Version:       1.0.4
Release:       %mkrel -c %{git} 10
License:       GPLv2
# downloaded from https://github.com/pnegre/python-whiteboard/downloads
Source0:       %{name}-master.tar.bz2
Url:           https://github.com/pnegre/python-whiteboard
Summary:       Linux whiteboard in python
Group:         Education

BuildArch:     noarch
BuildRequires: qt4-devel
BuildRequires: desktop-file-utils
Requires:      python-pybluez
Requires:      python-xlib
Requires:      python-cwiid

%description
This program allows you to build and operate an electronic whiteboard using
Gnu/Linux, a Wiimote and an IR pen.

%prep
%setup -q -n %{name}-master
sed -i 's!bin/python!bin/python2!' python-whiteboard-test stuff/wiimote.py python-whiteboard stuff/pywhiteboard.py

%build
%make_build 

%install
%make_install

desktop-file-install --vendor="" \
                     --dir %{buildroot}%{_datadir}/applications \
                     --remove-category="Application" \
                     %buildroot%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/pywb_pixmap.xpm
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.ui
%{_datadir}/%{name}/*.py
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.xpm
%dir %{_datadir}/qt4/translations
%{_datadir}/qt4/translations/*.qm


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.4-0.20131006.10.mga10
+ Revision: 2214024
- Mageia 10 Mass Rebuild

* Sun Apr 03 2022 umeabot <umeabot> 1.0.4-0.20131006.9.mga9
+ Revision: 1841389
- Mageia 9 Mass Rebuild

* Wed Apr 15 2020 tv <tv> 1.0.4-0.20131006.8.mga8
+ Revision: 1567551
- adjust filelist for no more *.py[co]
- enforce python2 in a python3 world!
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.4-0.20131006.7.mga7
+ Revision: 1274855
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 1.0.4-0.20131006.6.mga6
+ Revision: 941819
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-0.20131006.5.mga5
+ Revision: 742600
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.4-0.20131006.4.mga5
+ Revision: 730010
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-0.20131006.3.mga5
+ Revision: 688424
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.0.4-0.20131006.2.mga4
+ Revision: 539484
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 anaselli <anaselli> 1.0.4-0.20131006.1.mga4
+ Revision: 492251
- new version 1.0.4 from github

* Sun Jan 13 2013 umeabot <umeabot> 0.9.9-0.20111008.2.mga3
+ Revision: 379682
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 25 2011 matteo <matteo> 0.9.9-0.20111008.1.mga2
+ Revision: 157930
- adding desktop-file-utils as requirement
- upgraded sources

* Sat Jul 16 2011 matteo <matteo> 0.0-0.20110714.1.mga2
+ Revision: 124798
- imported package python-whiteboard


* Thu May 14 2011 Matteo Pasotti <pasotti.matteo@gmail.com> 20110714-1mga2
- created spec file
